#
# spec file for package python3-bottle
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-bottle
Version:        0.12.8
Release:        6.1
Url:            http://bottlepy.org/
Summary:        Fast and simple WSGI-framework for small web-applications
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/b/bottle/bottle-%{version}.tar.gz
Source1:        bottle-docs.pdf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-base
BuildArch:      noarch

%description
Bottle is a fast and simple micro-framework for small web-applications. It
offers request dispatching (Routes) with url parameter support, Templates, a
built-in HTTP Server and adapters for many third party WSGI/HTTP-server and
template engines. All in a single file and with no dependencies other than the
Python Standard Library.

%prep
%setup -q -n bottle-%{version}
cp %{SOURCE1} .

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
mv %{buildroot}%{_bindir}/bottle.py %{buildroot}%{_bindir}/bottle-%{py3_ver}.py
if [ -d "%{buildroot}%{python3_sitelib}/__pycache__" ]; then
    rm -r %{buildroot}%{python3_sitelib}/__pycache__
fi

%files
%defattr(-,root,root,-)
%doc README.rst bottle-docs.pdf
%{_bindir}/bottle-%{py3_ver}.py
%{python3_sitelib}/bottle.py*
%{python3_sitelib}/bottle-%{version}-py%{py3_ver}.egg-info

%changelog
* Sat Jan 10 2015 arun@gmx.de
- specfile: update copyright year
- update to version 0.12.8:
  * Fixed bug where BaseResponse.copy() would not copy Cookies due to
    a behaviour change in newest Python 3.x releases.
  * add 422 response code string
  * clean whitespace
  * don't fail when request content type is application/json but the
    body is empty
* Tue May 20 2014 toddrme2178@gmail.com
- Update to 0.12.7
  * No upstream changelog
- Update to 0.12
  * New SimpleTemplate parser implementation
  * Support for multi-line code blocks (<%% ... %%>).
  * The keywords include and rebase are functions now
    and can accept variable template names.
  * The new BaseRequest.route() property returns the Route
    that originally matched the request.
  * Removed the BaseRequest.MAX_PARAMS limit.
    The hash collision bug in CPythons dict() implementation was
    fixed over a year ago. If you are still using Python 2.5 in
    production, consider upgrading or at least make sure that you
    get security fixed from your distributor.
  * New ConfigDict API (see Configuration (DRAFT))
- Update to 0.11.6:
  * Fix content-type header in mounted apps
- Changes from 0.11.5:
  * Update HTTPResponse call when mounting apps
  * BUg fix: Some cookies are lost when using mount()
* Fri Nov 30 2012 toddrme2178@gmail.com
- Fix building on openSUSE 12.1 and 12.2
* Thu Nov 22 2012 saschpe@suse.de
- Update to version 0.11.4:
  + Upstream provides no changelog
- Changes from version 0.11:
  + Native support for Python 2.x and 3.x syntax. No need to run 2to3 anymore.
  + Support for partial downloads (Range header) in static_file().
  + The new ResourceManager interface helps locating files bundled with an
    application.
  + Added a server adapter for waitress.
  + New Bottle.merge() method to install all routes from one application
    into another.
  + New BaseRequest.app property to get the application object that
    handles a request.
  + Added FormsDict.decode() to get an all-unicode version (needed by WTForms).
  + MultiDict and subclasses are now pickle-able.
  + Response.status is a read-write property that can be assigned either a
    numeric status code or a status string with a reason phrase (200 OK). The
    return value is now a string to better match existing APIs (WebOb,
    werkzeug). To be absolutely clear, you can use the read-only properties
    BaseResponse.status_code and BaseResponse.status_line.
  + SimpleTALTemplate is now deprecating. There seems to be no demand.
- Removed outdated macros
- 2to3 isn't needed anymore
* Wed Aug 15 2012 highwaystar.ru@gmail.com
- python3 package added
